Schlagwort-Archive: Plugin der Woche

Plugin der Woche: »Private BuddyPress«

BuddyPress erlaubt es einfach ein eigenes Social Network zu bauen, jedoch sind diese öffentlich – vom Profil bis zur Gruppe. Das eignet sich nicht für jede Community. Gerade wenn es um sensible Informationen oder Benutzergruppen geht, sollen nur registrierte Personen Zugriff auf die Installation erhalten. BuddyPress bietet von Haus aus keine Lösung dafür an, aber mit Hilfe des Plugin »Private BuddyPress« lässt sich das Problem schnell umsetzen.

Das auch in Deutsch vorliegende Plugin schützt eine vorhandene Installation vor unerlaubten Blicken. Unangemeldete Besucher werden auf die Login-Seite weitergeleitet und aufgefordert ihre Zugangsdaten anzugeben. Zudem kann eingestellt werden, dass die Startseite und/oder die Registrierungsseite von dieser Blockade ausgenommen werden, so kann eine BuddyPress-Installation auch halb öffentlich laufen, das heißt die Anmeldung ist für jeden offen, aber Inhalte werden nur für angemeldeten Benutzern angezeigt (ähnlich studiVZ).

screenshot-1

Außerdem ist »Private BuddyPress« auch zu Feed-Lesern freundlich, denn mit Unterstützung von HTTP-Auth (was die meisten Feedreader unterstützen) können RSS- und Atom-Feeds weiterhin abonniert werden. So kann die Privatsphäre der eigenen Mitglieder ohne Verlust von Komfort geschützt werden.

Das Plugin kann entweder aus dem WordPress-Verzeichnis heruntergeladen werden oder über das Backend automatisch installiert werden. Es benötigt mindestens WordPress 3.0 sowie BuddyPress 1.2.

Plugin der Woche: »BuddyPress Announce Group«

In einer aktiven Community ist es immer wieder erforderlich Ankündigungen zu machen. Wer das abseits der Blogfunktion von WordPress machen will, kann mit Hilfe des Plugins »BuddyPress Announce Group« jede beliebige Gruppe in BuddyPress zu einer Ankündigungsgruppe umwandeln.

Neben der Umbenennung des Forenbereich in “Announcements” (englisch für Ankündigungen) sind die Gruppen für normale Benutzer nur lesbar, Schreibzugriff erhalten nur Administratoren sowie Moderatoren der jeweiligen Gruppe.

Das Plugin kann entweder aus dem WordPress-Verzeichnis heruntergeladen werden oder über das Backend automatisch installiert werden. Es benötigt mindestens WordPress 2.9 sowie BuddyPress 1.2 und ist für 3.0 sowie BuddyPress 1.2.5 getestet.